[Python-Dev] 3.1 beta blockers

Ned Deily nad at acm.org
Tue Apr 21 00:55:30 CEST 2009


In article <40D62762-ABAB-4DE1-9BE2-798E40AE23DD at python.org>,
 Barry Warsaw <barry at python.org> wrote:
> On Apr 20, 2009, at 6:37 PM, Ned Deily wrote:
> 
> > In article
> > <1afaf6160904201509g2f5e784ah34c728732ca9b160 at mail.gmail.com>,
> > Benjamin Peterson <benjamin at python.org> wrote:
> >> I forgot one: [...]
> >
> > What about #5756 - idle, pydoc, et al removed from 3.1?
> 
> Were we going to remove this from 2.7 also?  I'm working on splitting  
> two of my Tools (pynche and world) off into separate projects and  
> can't remember what we decided about that.

I'm confused.  The point of #5756 was that 3.x builds are broken because 
the installation of idle, pydoc, 2to3, and smtpd.py have been commented 
out in setup.py and thus these scripts are no longer being installed.  
Unless I'm missing something, that's the only way they were being 
installed in any form.  If nothing else, the change breaks the OSX 
installer build.

If they were removed deliberately (and are intended to be removed from 
2.7??), there needs to be some replacement and/or doc changes, no?

-- 
 Ned Deily,
 nad at acm.org



More information about the Python-Dev mailing list